xfstests: detect gdbm library correctly
[xfstests-dev.git] / 209
1 #! /bin/bash
2 # FS QA Test No. 209
3 #
4 # Run aio-dio-invalidate-readahead - test sync DIO invalidation of readahead
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2009 Eric Sandeen.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #-----------------------------------------------------------------------
22 #
23 # creator
24 owner=sandeen@sandeen.net
25
26 seq=`basename $0`
27 echo "QA output created by $seq"
28
29 here=`pwd`
30 tmp=/tmp/$$
31 status=1        # failure is the default!
32 trap "_cleanup; exit \$status" 0 1 2 3 15
33
34 _cleanup()
35 {
36     cd /
37     rm -f $tmp.*
38 }
39
40 # get standard environment, filters and checks
41 . ./common.rc
42 . ./common.filter
43
44 # real QA test starts here
45
46 _supported_fs generic
47 _supported_os Linux
48
49 rm -f $TEST_DIR/aio-testfile
50 AIO_TEST=src/aio-dio-regress/aio-dio-invalidate-readahead
51 [ -x $AIO_TEST ] || _notrun "$AIO_TEST not built"
52 $AIO_TEST $TEST_DIR/aio-testfile 2>&1
53 status=$?
54 rm -f $TEST_DIR/aio-testfile
55
56 exit $status